# $Id: gconfmm2.spec,v 1.3 2003/11/14 11:35:40 dude Exp $

Summary: The C++ interface for GConf2.
Name: gconfmm2
Version: 2.0.1
Release: 2.fr
Group: System Environment/Libraries
License: LGPL
URL: http://www.gtkmm.org/
Source: http://prdownloads.sourceforge.net/gtkmm/gconfmm-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-root
Requires: gtkmm2 >= 2.0.0
BuildRequires: gcc-c++, gtkmm2-devel, GConf2-devel, /usr/bin/sgml2html

%description
The C++ runtime library interface for GConf2.


%package devel
Summary: Development tools for gconfmm2 applications.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtkmm2-devel

%description devel
The C++ development interface for GConf2.


%prep
%setup -q -n gconfmm-%{version}

%build
%configure --enable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%exclude %{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/gconfmm-*
%{_libdir}/pkgconfig/*

%changelog
* Thu Nov 13 2003 Matthias Saou <http://freshrpms.net/> - 2.0.1-2.fr
- Added missing GConf2-devel build dependency.
- Rebuild for Fedora Core 1.

* Fri May 23 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial release.

